Package org.sunflow.core

# Interface BucketOrder

All Known Implementing Classes:
  `ColumnBucketOrder`, `DiagonalBucketOrder`, `HilbertBucketOrder`, `InvertedBucketOrder`, `RandomBucketOrder`, `RowBucketOrder`, `SpiralBucketOrder`

public interface BucketOrder
Creates an array of coordinates that iterate over the tiled screen. Classes which implement this interface are responsible for guarenteeing the entire screen is tiled. No attempt is made to check for duplicates or incomplete coverage.

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getBucketSequence(int nbw, int nbh)`
Computes the order in which each coordinate on the screen should be visited.

## Method Details

### getBucketSequence

int[] getBucketSequence(int nbw, int nbh)
Computes the order in which each coordinate on the screen should be visited.

Parameters:
  `nbw` - number of buckets in the X direction
  `nbh` - number of buckets in the Y direction
Returns:
  array of coordinates with interleaved X, Y of the positions of buckets to be rendered.